Subject: Re: bug#58671: gui-backend-set-selection causing segfault on Debian 12

From: Stefan Kangas <[email-masked]>
Date: Sun, 3 Sep 2023 02:32:56 -0700

Stefan Kangas <[email-masked]> writes:

> tags 58671 + moreinfo
> thanks
>
> Po Lu <[email-masked]> writes:
>
>>>> It's eff4a4f49a7. Without the 'g'.
>>>>
>>>> commit eff4a4f49a7c45df9d27f0515c07d8e8727d84bb
>>>> Author: Stefan Kangas <[email-masked]>
>>>> Date:   Mon Oct 17 15:26:56 2022 +0200
>>>>
>>>>     Improve native-compile-prune-cache messages
>>>>
>>>>     * lisp/emacs-lisp/comp.el (native-compile-prune-cache): Quote name of
>>>>     pruned directory.
>>>>
>>>
>>> And this is probably the fix:
>>>
>>> commit 0dbd1dbe7d82331f3fda9a0d0b29373149fa7ce5
>>> Author: Po Lu <[email-masked]>
>>> Date:   Tue Oct 18 08:52:01 2022 +0800
>>>
>>>     Fix bug#58584
>>>
>>>     * src/xterm.c (x_handle_selection_monitor_event): Return if
>>>     selection event is one Emacs asked for.
>>>     (handle_one_xevent): In that case, drop the event and don't let
>>>     it reach GTK.
>>
>> Yes, I already asked if that was it.  But I think the mail didn't reach
>> its intended recipients.
>
> So was this fixed already?

No further updates since November, so I'm going to assume the answer is
"yes".  I'm therefore closing this bug report.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.